Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: munin

Interfaces Templates

### Description:

Munin network-wide load graphing.

### Interfaces:

munin_admin( domain , role )

##### Summary

All of the rules required to administrate an munin environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

munin_append_log( domain )

##### Summary

Append munin log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

munin_dontaudit_search_lib( domain )

##### Summary

Do not audit attempts to search munin library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

munin_read_config( domain )

##### Summary

Read munin configuration content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

munin_search_lib( domain )

##### Summary

Search munin library directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

munin_stream_connect( domain )

##### Summary

Connect to munin over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

munin_plugin_template( domain_prefix )

##### Summary

The template to define a munin plugin domain.

##### Parameters

Parameter: | Description:
--- | ---
domain_prefix | Domain prefix to be used.

Return